Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.domain
Interface IEssConnectionPool

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties

public interface IEssConnectionPool
extends IEssExtendedObject, IEssProperties

The IEssConnectionPool is a connection pool definition.

Nested Class Summary
`static class` | `IEssConnectionPool.EEssConnectionPoolType` The EEssConnectionPoolType class is an enumeration of server types.

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `PROP_ALLOW_EVERYONE`
`static int` | `PROP_ALLOWED_GROUPS`
`static int` | `PROP_ALLOWED_USERS`
`static int` | `PROP_CAPACITY_INCREMENT`
`static int` | `PROP_DESCRIPTION`
`static int` | `PROP_INITIAL_CAPACITY`
`static int` | `PROP_MAXIMUM_CAPACITY`
`static int` | `PROP_NAME`
`static int` | `PROP_PASSWORD`
`static int` | `PROP_SERVICE_COMPONENT_IS_CLUSTER`
`static int` | `PROP_SERVICE_COMPONENT_NAME`
`static int` | `PROP_USER_NAME`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`void` | `delete()` Deletes this connection pool.
`java.lang.String` | `getAllowedGroupNames()` Gets the allowed group names.
`java.lang.String` | `getAllowedUserNames()` Gets the allowed user names.
`int` | `getCapacityIncrement()` Gets the capacity increment.
`java.lang.String` | `getDescription()` Gets the connection pool description.
`int` | `getInitialCapacity()` Gets the initial capacity.
`int` | `getMaximumCapacity()` Gets the maximum capacity.
`java.lang.String` | `getName()` Gets the connection pool name.
`java.lang.String` | `getServiceComponentName()` Gets the service component name.
`IEssConnectionPool.EEssConnectionPoolType` | `getType()` Gets the connection pool type.
`java.lang.String` | `getUserName()` Gets the user name with which connection will be established.
`boolean` | `isAllowEveryone()` Checks if everyone is allowed.
`boolean` | `isServiceComponentCluster()` Checks if the service component is a cluster.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `setAllowedGroupNames(java.lang.String groupNames)` Sets the allowed group names.
`void` | `setAllowedUserNames(java.lang.String userNames)` Sets the allowed user names.
`void` | `setAllowEveryone(boolean allowEveryOne)` Sets to allow everyone.
`void` | `setCapacityIncrement(int capacityIncrement)` Sets the capacity increment.
`void` | `setDescription(java.lang.String desc)` Sets the connection pool description.
`void` | `setInitialCapacity(int initialCapacity)` Sets the initial capacity.
`void` | `setMaximumCapacity(int maxCapacity)` Sets the maximum capacity.
`void` | `setPassword(java.lang.String password)` Sets the password of the user to establish the connection.
`void` | `setServiceComponentCluster(boolean cluster)` Sets if the service component is a cluster.
`void` | `setServiceComponentName(java.lang.String svcCompName)` Sets the service component name.
`void` | `setType(IEssConnectionPool.EEssConnectionPoolType type)` Sets the connection pool type.
`void` | `setUserName(java.lang.String userName)` Sets the user name with which connection will be established.
`void` | `updatePropertyValues()` Updates the property values.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final int PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_SERVICE_COMPONENT_NAME

    public static final int PROP_SERVICE_COMPONENT_NAME

See Also:
  Constant Field Values

### PROP_SERVICE_COMPONENT_IS_CLUSTER

    public static final int PROP_SERVICE_COMPONENT_IS_CLUSTER

See Also:
  Constant Field Values

### PROP_USER_NAME

    public static final int PROP_USER_NAME

See Also:
  Constant Field Values

### PROP_PASSWORD

    public static final int PROP_PASSWORD

See Also:
  Constant Field Values

### PROP_INITIAL_CAPACITY

    public static final int PROP_INITIAL_CAPACITY

See Also:
  Constant Field Values

### PROP_MAXIMUM_CAPACITY

    public static final int PROP_MAXIMUM_CAPACITY

See Also:
  Constant Field Values

### PROP_CAPACITY_INCREMENT

    public static final int PROP_CAPACITY_INCREMENT

See Also:
  Constant Field Values

### PROP_ALLOW_EVERYONE

    public static final int PROP_ALLOW_EVERYONE

See Also:
  Constant Field Values

### PROP_ALLOWED_USERS

    public static final int PROP_ALLOWED_USERS

See Also:
  Constant Field Values

### PROP_ALLOWED_GROUPS

    public static final int PROP_ALLOWED_GROUPS

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the connection pool name.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The connection pool name.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the connection pool description.

  Returns:
    The connection pool description.
  Throws:
    `EssException` - if an error occurs.

### setDescription

    public void setDescription(java.lang.String desc)
                        throws EssException

  Sets the connection pool description. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `desc` - The connection pool description.
  Throws:
    `EssException` - if an error occurs.

### getType

    public IEssConnectionPool.EEssConnectionPoolType getType()
                                                      throws EssException

  Gets the connection pool type.

  Returns:
    The connection pool type.
  Throws:
    `EssException` - if an error occurs.

### setType

    public void setType(IEssConnectionPool.EEssConnectionPoolType type)
                 throws EssException

  Sets the connection pool type. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `type` - The connection pool type.
  Throws:
    `EssException` - if an error occurs.

### getServiceComponentName

    public java.lang.String getServiceComponentName()
                                             throws EssException

  Gets the service component name.

  Returns:
    The service component name.
  Throws:
    `EssException` - if an error occurs.

### setServiceComponentName

    public void setServiceComponentName(java.lang.String svcCompName)
                                 throws EssException

  Sets the service component name. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `svcCompName` - The service component name.
  Throws:
    `EssException` - if an error occurs.

### isServiceComponentCluster

    public boolean isServiceComponentCluster()
                                      throws EssException

  Checks if the service component is a cluster.

  Returns:
    true if the service component is a cluster.
  Throws:
    `EssException` - if an error occurs.

### setServiceComponentCluster

    public void setServiceComponentCluster(boolean cluster)
                                    throws EssException

  Sets if the service component is a cluster. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `cluster` - true if the service component is a cluster.
  Throws:
    `EssException` - if an error occurs.

### getUserName

    public java.lang.String getUserName()
                                 throws EssException

  Gets the user name with which connection will be established.

  Returns:
    The user name with which connection will be established.
  Throws:
    `EssException` - if an error occurs.

### setUserName

    public void setUserName(java.lang.String userName)
                     throws EssException

  Sets the user name with which connection will be established. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `userName` - The user name with which connection will be established.
  Throws:
    `EssException` - if an error occurs.

### setPassword

    public void setPassword(java.lang.String password)
                     throws EssException

  Sets the password of the user to establish the connection. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `password` - The password of the user to establish the connection.
  Throws:
    `EssException` - if an error occurs.

### getInitialCapacity

    public int getInitialCapacity()
                           throws EssException

  Gets the initial capacity.

  Returns:
    The initial capacity.
  Throws:
    `EssException` - if an error occurs.

### setInitialCapacity

    public void setInitialCapacity(int initialCapacity)
                            throws EssException

  Sets the initial capacity. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `initialCapacity` - The initial capacity.
  Throws:
    `EssException` - if an error occurs.

### getMaximumCapacity

    public int getMaximumCapacity()
                           throws EssException

  Gets the maximum capacity.

  Returns:
    The maximum capacity.
  Throws:
    `EssException` - if an error occurs.

### setMaximumCapacity

    public void setMaximumCapacity(int maxCapacity)
                            throws EssException

  Sets the maximum capacity. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `maxCapacity` - The maximum capacity.
  Throws:
    `EssException` - if an error occurs.

### getCapacityIncrement

    public int getCapacityIncrement()
                             throws EssException

  Gets the capacity increment.

  Returns:
    The capacity increment.
  Throws:
    `EssException` - if an error occurs.

### setCapacityIncrement

    public void setCapacityIncrement(int capacityIncrement)
                              throws EssException

  Sets the capacity increment. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `capacityIncrement` - The capacity increment.
  Throws:
    `EssException` - if an error occurs.

### isAllowEveryone

    public boolean isAllowEveryone()
                            throws EssException

  Checks if everyone is allowed.

  Returns:
    true if everyone is allowed.
  Throws:
    `EssException` - if an error occurs.

### setAllowEveryone

    public void setAllowEveryone(boolean allowEveryOne)
                          throws EssException

  Sets to allow everyone. If this is set to false, allowed user/group names takes effect. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `allowEveryOne` - true to allow everyone.
  Throws:
    `EssException` - if an error occurs.

### getAllowedUserNames

    public java.lang.String getAllowedUserNames()
                                         throws EssException

  Gets the allowed user names.

  Returns:
    The allowed user names
  Throws:
    `EssException` - if an error occurs.

### setAllowedUserNames

    public void setAllowedUserNames(java.lang.String userNames)
                             throws EssException

  Sets the allowed user names. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `userNames` - The allowed user names
  Throws:
    `EssException` - if an error occurs.

### getAllowedGroupNames

    public java.lang.String getAllowedGroupNames()
                                          throws EssException

  Gets the allowed group names.

  Returns:
    The allowed role names
  Throws:
    `EssException` - if an error occurs.

### setAllowedGroupNames

    public void setAllowedGroupNames(java.lang.String groupNames)
                              throws EssException

  Sets the allowed group names. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `groupNames` - The allowed group names
  Throws:
    `EssException` - if an error occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete()
                throws EssException

  Deletes this connection pool.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD